Bug 427088 - SELinux prevents OpenVPN Connections on Port 443
SELinux prevents OpenVPN Connections on Port 443
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 05:58 EST by Carsten Clasohm
Modified: 2008-03-05 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:17:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AVC denied messages (646 bytes, text/plain)
2007-12-31 05:58 EST, Carsten Clasohm
no flags Details
policy generated with audit2allow (330 bytes, application/octet-stream)
2007-12-31 05:59 EST, Carsten Clasohm
no flags Details

  None (edit)
Description Carsten Clasohm 2007-12-31 05:58:30 EST
Description of problem:

OpenVPN servers sometimes listen on port 443, to allow clients to connect
through an HTTP proxy. The targeted SELinux policy in Fedora 8 prevents the
OpenVPN client to connect to this port.

SELinux also prevents the client from running an "up" script placed in /etc/openvpn.

Version-Release number of selected component (if applicable):

openvpn-2.1-0.19.rc4.fc7
selinux-policy-targeted-3.0.8-69.fc8

How reproducible:

always

Steps to Reproduce:
1. Set up an OpenVPN server listening on port 443.
2. Configure your OpenVPN client on F8 to access this server.
3. Add the following in /etc/openvpn/client.conf:

up /etc/openvpn/up.sh

4. Create the up.sh script, for example to do routing configuration.

Actual results:

No OpenVPN connection is established.

Expected results:

The client should be able to connect to port 443.

Additional info:

I'll attach the AVC denied messages, and a SELinux module generated with
audit2allow which fixes the two problems.
Comment 1 Carsten Clasohm 2007-12-31 05:58:30 EST
Created attachment 290570 [details]
AVC denied messages
Comment 2 Carsten Clasohm 2007-12-31 05:59:20 EST
Created attachment 290571 [details]
policy generated with audit2allow
Comment 3 Jon Stanley 2008-01-07 18:47:37 EST
Hello -

This bug was filed against an incorrect component.  Reassigning to selinux-policy.
Comment 4 Daniel Walsh 2008-01-08 12:11:12 EST
You can allow this for now by executing 

# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-3.0.8-74.fc8
Comment 5 Daniel Walsh 2008-03-05 17:17:11 EST
Bugs have been in modified for over one month.  Closing as fixed in current
release please reopen if the problem still persists.

Note You need to log in before you can comment on or make changes to this bug.